#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

Summary:	Strict, simple, lightweight RFC3339 functions for Python 2
Summary(pl.UTF-8):	Ścisłe, proste, lekkie funkcje RFC3339 dla Pythona 2
Name:		python-strict_rfc3339
Version:	0.7
Release:	7
License:	GPL v3+
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/strict-rfc3339/
Source0:	https://files.pythonhosted.org/packages/source/s/strict-rfc3339/strict-rfc3339-%{version}.tar.gz
# Source0-md5:	4d9b635b4df885bc37bc1189d66c9abc
URL:		https://pypi.org/project/strict-rfc3339/
%if %{with python2}
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-modules >= 1:2.5
%endif
%if %{with python3}
BuildRequires:	python3-devel >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Strict, simple, lightweight RFC3339 functions for Python 2.

%description -l pl.UTF-8
Ścisłe, proste, lekkie funkcje RFC3339 dla Pythona 2.

%package -n python3-strict_rfc3339
Summary:	Strict, simple, lightweight RFC3339 functions for Python 3
Summary(pl.UTF-8):	Ścisłe, proste, lekkie funkcje RFC3339 dla Pythona 3
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.2

%description -n python3-strict_rfc3339
Strict, simple, lightweight RFC3339 functions for Python 3.

%description -n python3-strict_rfc3339 -l pl.UTF-8
Ścisłe, proste, lekkie funkcje RFC3339 dla Pythona 3.

%prep
%setup -q -n strict-rfc3339-%{version}

%build
%if %{with python2}
%py_build
%endif

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md
%{py_sitescriptdir}/strict_rfc3339.py[co]
%{py_sitescriptdir}/strict_rfc3339-%{version}-py*.egg-info

%files -n python3-strict_rfc3339
%defattr(644,root,root,755)
%doc AUTHORS README.md
%{py3_sitescriptdir}/strict_rfc3339.py
%{py3_sitescriptdir}/__pycache__/strict_rfc3339.cpython-*.py[co]
%{py3_sitescriptdir}/strict_rfc3339-%{version}-py*.egg-info
%changelog
* Wed Mar 30 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-strict_rfc3339.git;a=log;h=master

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 492e119
- rebuild with tests and docs

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 0b02139
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b0229b9
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> da4e392
- release 4 (by relup.sh)

* Sat Apr 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 28fa6e8
- updated URLs

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 5bc06d4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7b1cfdd
- release 2 (by relup.sh)

* Sat Mar 18 2017 Jakub Bogusz <qboosh@pld-linux.org> d4e96fa
- new

